<?php
include_once("core/main.php");
include_once("modules/ephemerid/functions.php");
// this is forced here for security reasons
if( !check_user_class($config["admmenu"]["Ephemerid"]["class"]) ) exit;
if( !check_module("ephemerid") ) die( "module not enabled" );
// default values
$errormessage = "";
if (!isset($mode)) {
  $mode = "none";
  }
else {
  $mode = $_REQUEST["mode"];
  }
// check if receive item for editing
if (isset($_REQUEST["editid"])) {
  $editid = $_REQUEST["editid"];
  }
else {
  $editid = 0;
  }
// check if receive item for deleting
if (isset($_REQUEST["delid"])) {
  $delid = $_REQUEST["delid"];
  if ($delid > 0) {
    $stmt = "delete from ".$config["prefix"]."_ephemerid where eid = '".$delid."'";
    $ret = db_query($stmt);
    if ($ret) {
      $errormessage = $lang["EPHEMERID_DELETED"];
      }
    else {
      $errormessage = $lang["EPHEMERID_DBERROR"];
      }
    }
  }
else {
  $delid = 0;
  }
// check the received variables
// from the filter form
if ($_REQUEST["mode"] == "filter") {
  $year ="";
  $monthlist = $_REQUEST["monthlist"];
  $month = $monthlist;
  $daylist = $_REQUEST["daylist"];
  $day = $daylist;
  $content = "";
  }
// from the send or update form
elseif (($mode == "update") || ($mode == "send")) {
  $year = (integer) $_REQUEST["year"];
  $month = (integer) $_REQUEST["month"];
  $monthlist = $month;
  $day = (integer) $_REQUEST["day"];
  $daylist = $day;
  $content = $_REQUEST["content"];
  if ($mode == "send") {
    $errormessage = $lang["EPHEMERID_SENT"];
    $content = addslashes(delmagic($content));
    $stmt = "insert into ".$config["prefix"]."_ephemerid (yid, mid, did, content) values ('".$year."', '".$month."', '".$day."', '".$content."')";
    $ret = db_query($stmt);
    if ($ret) {
      $errormessage = $lang["EPHEMERID_SENT"];
      }
    else {
      $errormessage = $lang["EPHEMERID_DBERROR"];
      }
    }
  elseif ($mode == "update") {
    $errormessage = $lang["EPHEMERID_UPDATED"];
    $content = addslashes(delmagic($content));
    $stmt = "update ".$config["prefix"]."_ephemerid set yid='".$year."', mid='".$month."', did='".$day."', content='".$content."' where eid='".$editid."'";
    $ret = db_query($stmt);
    if ($ret) {
      $errormessage = $lang["EPHEMERID_UPDATED"];
      }
    else {
      $errormessage = $lang["EPHEMERID_DBERROR"];
      }
    $mode = "none";
    }
  $editid = 0;
  }
elseif ($mode == "edit") {
  $monthlist = $_REQUEST["month"];
  $daylist = $_REQUEST["day"];
  $month = $monthlist;
  $day = $daylist;
  }
elseif ($mode == "delete") {
  $monthlist = date("n");
  $daylist = date("j");
  $month = $monthlist;
  $day = $daylist;
  }
else {
  $year = "";
  $monthlist = date("n");
  $month = $monhtlist;
  $daylist = date("j");
  $day = $daylist;
  $content = "";
  }
$index_page = false;
$page_name = $lang["EPHEMERID_TITLE"];
draw_header();
$inputmode = $cfg["ephemerid"]["input"];
draw_ephemerid_card($editid, $monthlist, $daylist, $errormessage, $inputmode);
draw_ephemerid_list($monthlist, $daylist);
theme_draw_centerbox_close();
draw_footer();
?>