<?php
// functions for ephemerid
function draw_ephemerid_card($editid, $monthlist, $daylist, $errormessage, $inputmode) {
  global $config, $lang, $cfg, $mode;
  if ($editid > 0) {
    $ret = db_query("select * from {$config["prefix"]}_ephemerid where eid='$editid'");
    $row = db_fetch_array( $ret );
    db_free_result($ret);
    $year = (integer) $row["yid"];
    $month = (integer) $row["mid"];
    $day = (integer) $row["did"];
    $content = $row["content"];
    }
  else {
    $year = "";
    $month = $monthlist;
    $day = $daylist;
    $content = "";
    }
  theme_draw_centerbox_open( $lang["EPHEMERID_TITLE"] );
?>
<table width="95%" border="0" align="center" cellpadding="2" cellspacing="2">
<tr>
<td align="center">
<form name="ephemeridfilter" method="post" action="adm_ephemerid.php">
<select name="monthlist" id="monthlist">
<?php
for ($k = 1; $k < 13; $k++) {
  print "<option value=\"$k\" ";
  if ($k == $monthlist) {
    print "selected";
    }
  print ">".$lang["EPHEMERID_MONTHS"][$k - 1]."</option>/n";
  }
?>
</select>
<?php
switch ($monthlist) {
  case 1:
  case 3:
  case 5:
  case 7:
  case 8:
  case 10:
  case 13:
    $dayinmonth = 31;
    break;
  case 4:
  case 6:
  case 9:
  case 11:
    $dayinmonth = 30;
    break;
  case 2:
    $dayinmonth = 29;
  }
?>
<select name="daylist" id="daylist">
<option value="0"><?php print $lang["EPHEMERID_TOTALMONTH"]; ?></option>
<?php
for ($k = 1; $k < ($dayinmonth + 1); $k++) {
   print "<option value=\"$k\" ";
  if ($k == $daylist) {
    print "selected";
    }
  print ">".$k."</option>/n";
  }
?>
</select>
<input name="filter" type="submit" id="filter">
<input name="mode" type="hidden" value="filter">
</form>
</td>
</tr>
<table>
<table width="95%" border="0" align="center" cellpadding="2" cellspacing="2">
<tr>
<td>
<form name="send_update" method="post" action="adm_ephemerid.php">
 <table width="100%" border="0" cellspacing="2" cellpadding="2">
<tr>
<?php
if ($inputmode == "year-month-day") {
?>
<td align="center"><?php print $lang["EPHEMERID_YEAR"];?>:<input name="year" type="text" id="year" value="<?php print $year ?>" size="4" maxlength="4"></td>
<td align="center"><?php print $lang["EPHEMERID_MONTH"]?>:<input name="month" type="text" id="month" value="<?php print $month ?>" size="2" maxlength="2"></td>
<td align="center"><?php print $lang["EPHEMERID_DAY"]?>:<input name="day" type="text" id="day" value="<?php print $day ?>" size="2" maxlength="2"></td>
<?php
  }
elseif ($inputmode == "month-day-year") {
?>
<td align="center"><?php print $lang["EPHEMERID_MONTH"]?>:<input name="month" type="text" id="month" value="<?php print $month ?>" size="2" maxlength="2"></td>
<td align="center"><?php print $lang["EPHEMERID_DAY"]?>:<input name="day" type="text" id="day" value="<?php print $day ?>" size="2" maxlength="2"></td>
<td align="center"><?php print $lang["EPHEMERID_YEAR"];?>:<input name="year" type="text" id="year" value="<?php print $year ?>" size="4" maxlength="4"></td>
<?php
  }
else {
?>
<td align="center"><?php print $lang["EPHEMERID_DAY"]?>:<input name="day" type="text" id="day" value="<?php print $day ?>" size="2" maxlength="2"></td>
<td align="center"><?php print $lang["EPHEMERID_MONTH"]?>:<input name="month" type="text" id="month" value="<?php print $month ?>" size="2" maxlength="2"></td>
<td align="center"><?php print $lang["EPHEMERID_YEAR"];?>:<input name="year" type="text" id="year" value="<?php print $year ?>" size="4" maxlength="4"></td>
<?php
  }
?>
</tr>
<tr>
<td colspan="3" align="center"><textarea name="content" cols="50" rows="10" wrap="VIRTUAL" id="content"><?php print $content ?></textarea><input name="editid" type="hidden" value="<?php print $editid; ?>"></td>
</tr>
<tr>
<?php
if (($mode == "none") || ($mode == "send") || ($mode == "delete")) {
?>
<td align="center"><input name="submit" type="submit" id="submit" value="<?php print $lang["EPHEMERID_SEND"]?>"></td>
<?php
  }
else {
?>
<td align="center"><input name="submit" type="submit" id="submit" value="<?php print $lang["EPHEMERID_UPDATE"]?>"></td>
<?php
  }
?>
<td align="center">&nbsp;</td>
<td align="center">
<input name="reset" type="reset" id="reset" value="<?php print $lang["EPHEMERID_RESET"]?>">
<?php
if (($year > 0) && ($month > 0) && ($day > 0) && ($content != "")) {
?>
<input name="mode" type="hidden" value="update">
<?php
  }
else {
?>
<input name="mode" type="hidden" value="send">
<?php
  }
?>
</td>
</tr>
<tr>
<td align="center" colspan="3"><?php print $errormessage; ?></td>
</tr>
</table>
</form></td>
</tr>
</table>
<?php
  }
function draw_ephemerid_list($month, $day) {
  // list of ephemerid items of a month
  global $config, $lang;
  if ($day == 0) {
    $ret = db_query("select * from {$config["prefix"]}_ephemerid where mid='$month' order by yid, mid, did");
    }
  else {
    $ret = db_query("select * from {$config["prefix"]}_ephemerid where mid='$month' and did='$day' order by yid, mid, did");
    }
  if( !$ret ) {
    return;
    }
  theme_draw_centerbox_open( $lang["EPHEMERID_LIST"]);
?>
<table width="100%" border="1" cellspacing="0" cellpadding="2">
<?php
  while($row = db_fetch_array($ret)) {
    // $row["content"] = htmlspecialchars(htmlentities(nl2br($row["content"])));
    $row["content"] = nl2br($row["content"]);
?>
<tr><td class="row1" width="10%"><a href="adm_ephemerid.php?editid=<?php print $row["eid"]; ?>&year=<?php print $row["yid"]; ?>&month=<?php print $row["mid"]; ?>&day=<?php print $row["did"]; ?>&mode=edit"><?php print $row["eid"]; ?></a></td><td class="row1" align="left" width="20%"><?php print $row["yid"]; ?>-<?php print $row["mid"]; ?>-<?php print $row["did"]; ?></td><td class="row2"><?php print $row["content"]; ?></td><td class="row1" align="right" width="10%"><a href="adm_ephemerid.php?delid=<?php print $row["eid"]; ?>&mode=delete"><?php print $lang["EPHEMERID_DELETEITEM"]; ?></a></td></tr>
<?php
    }
  db_free_result($ret);
?>
</table>
<?php
  theme_draw_centerbox_close();
  }
function draw_list_filter() {
  global $config, $lang, $cfg;
  }
?>